Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log4j.config
Class PropertySetter

    java.lang.Object
      org.apache.log4j.config.PropertySetter

    public class PropertySetter

extends Object

Since:
  1.1

Constructor Summary
`PropertySetter(Object obj)` Create a new PropertySetter for the specified Object.

Method Summary
`static void` | `setProperties(Object obj, Properties properties, String prefix)` Set the properties of an object passed as a parameter in one go.
`void` | `setProperties(Properties properties, String prefix)` Set the properties for the object that match the `prefix` passed as parameter.
`void` | `setProperty(PropertyDescriptor prop, String name, String value)` Set the named property given a `PropertyDescriptor`.
`void` | `setProperty(String name, String value)` Set a property on this PropertySetter's Object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertySetter

    public PropertySetter(Object obj)

  Create a new PropertySetter for the specified Object. This is done in preparation for invoking `setProperty(java.lang.String, java.lang.String)` one or more times.

  Parameters:
    `obj` - the object for which to set properties

Method Detail

### setProperties

    public void setProperties(Properties properties,
                              String prefix)

  Set the properties for the object that match the `prefix` passed as parameter.

  Parameters:
    `properties` - The properties
    `prefix` - The prefix

### setProperty

    public void setProperty(String name,
                            String value)

  Set a property on this PropertySetter's Object. If successful, this method will invoke a setter method on the underlying Object. The setter is the one for the specified property name and the value is determined partly from the setter argument type and partly from the value specified in the call to this method.

  If the setter expects a String no conversion is necessary. If it expects an int, then an attempt is made to convert 'value' to an int using new Integer(value). If the setter expects a boolean, the conversion is by new Boolean(value).

  Parameters:
    `name` - name of the property
    `value` - String value of the property

### setProperty

    public void setProperty(PropertyDescriptor prop,
                            String name,
                            String value)
                     throws PropertySetterException

  Set the named property given a `PropertyDescriptor`.

  Parameters:
    `prop` - A PropertyDescriptor describing the characteristics of the property to set.
    `name` - The named of the property to set.
    `value` - The value of the property.
  Throws:
    `PropertySetterException` - (Never actually throws this exception. Kept for historical purposes.)

### setProperties

    public static void setProperties(Object obj,
                                     Properties properties,
                                     String prefix)

  Set the properties of an object passed as a parameter in one go. The `properties` are parsed relative to a `prefix`.

  Parameters:
    `obj` - The object to configure.
    `properties` - A java.util.Properties containing keys and values.
    `prefix` - Only keys having the specified prefix will be set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.